org.apache.lucene.search.vectorhighlight

## Class FieldTermStack.TermInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

- All Implemented Interfaces:
    java.lang.Comparable<FieldTermStack.TermInfo>
  Enclosing class:
    FieldTermStack

      public static class FieldTermStack.TermInfo
      extends java.lang.Object
      implements java.lang.Comparable<FieldTermStack.TermInfo>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FieldTermStack.TermInfo o)`
    `int` | `getEndOffset()`
    `int` | `getPosition()`
    `int` | `getStartOffset()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getStartOffset

          public int getStartOffset()

    - #### getEndOffset

          public int getEndOffset()

    - #### getPosition

          public int getPosition()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(FieldTermStack.TermInfo o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FieldTermStack.TermInfo>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.